GyotoMetric.h File Reference

Base class for metric description. More...

`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <vector>`
`#include <GyotoSmartPointer.h>`
`#include <GyotoObject.h>`
`#include <GyotoAstrobj.h>`
`#include <GyotoRegister.h>`
`#include <GyotoHooks.h>`
`#include <GyotoDefs.h>`

Go to the source code of this file.

## Classes

class | Gyoto::Metric::Generic
| Base class for metrics. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Metric
| Access to metrics.

## Typedefs

typedef SmartPointer< Metric::Generic > | Gyoto::Metric::Subcontractor_t(FactoryMessenger *, std::vector< std::string > const &)
| A function to build instances of a specific Metric::Generic sub-class.

## Functions

template<typename T>
SmartPointer< Metric::Generic > | Gyoto::Metric::Subcontractor (FactoryMessenger *fmp, std::vector< std::string > const &plugins)
| Subcontractor template.
Gyoto::Metric::Subcontractor_t * | Gyoto::Metric::getSubcontractor (std::string name, std::vector< std::string > &plugin, int errmode=0)
| Query the Metric register.
void | Gyoto::Metric::Register (std::string kind, Gyoto::Metric::Subcontractor_t *scp)
| Make a Metric kind known to the Factory.
void | Gyoto::Metric::initRegister ()
| Empty the Metric register.

## Variables

Register::Entry * | Gyoto::Metric::Register_
| The Metric register.

## Detailed Description

Base class for metric description.

Classes which represent a metric (e.g. Gyoto::Kerr) should inherit from Gyoto::Metric::Generic and implement all of the virtual methods plus at least one of the gmunu methods and one of the christoffel methods.